Package com.avaya.clientservices.call

## Enum AddressDigit

- java.lang.Object
- - java.lang.Enum<AddressDigit>
  - - com.avaya.clientservices.call.AddressDigit

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AddressDigit>`

      public enum AddressDigit
      extends java.lang.Enum<AddressDigit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EIGHT` | Represents numeric 8.
    `FIVE` | Represents numeric 5.
    `FOUR` | Represents numeric 4.
    `NINE` | Represents numeric 9.
    `ONE` | Represents numeric 1.
    `PLUS` | Represents special character +.
    `POUND` | Represents special character #.
    `SEVEN` | Represents numeric 7.
    `SIX` | Represents numeric 6.
    `STAR` | Represents special character *.
    `THREE` | Represents numeric 3.
    `TWO` | Represents numeric 2.
    `ZERO` | Represents numeric 0.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AddressDigit` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AddressDigit[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZERO

          public static final AddressDigit ZERO

      Represents numeric 0.

    - #### ONE

          public static final AddressDigit ONE

      Represents numeric 1.

    - #### TWO

          public static final AddressDigit TWO

      Represents numeric 2.

    - #### THREE

          public static final AddressDigit THREE

      Represents numeric 3.

    - #### FOUR

          public static final AddressDigit FOUR

      Represents numeric 4.

    - #### FIVE

          public static final AddressDigit FIVE

      Represents numeric 5.

    - #### SIX

          public static final AddressDigit SIX

      Represents numeric 6.

    - #### SEVEN

          public static final AddressDigit SEVEN

      Represents numeric 7.

    - #### EIGHT

          public static final AddressDigit EIGHT

      Represents numeric 8.

    - #### NINE

          public static final AddressDigit NINE

      Represents numeric 9.

    - #### STAR

          public static final AddressDigit STAR

      Represents special character *.

    - #### POUND

          public static final AddressDigit POUND

      Represents special character #.

    - #### PLUS

          public static final AddressDigit PLUS

      Represents special character +.

  - ### Method Detail

    - #### values

          public static AddressDigit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AddressDigit c : AddressDigit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AddressDigit valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null